| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Attributes
AAX_SInstrumentRenderInfo Struct Reference

`#include <AAX_CMonolithicParameters.h>`

Collaboration diagram for AAX_SInstrumentRenderInfo:
[legend]

## Description

Information used to parameterize AAX_CMonolithicParameters::RenderAudio()

## Public Attributes
float ** | mAudioInputs
| Audio input buffers.
float ** | mAudioOutputs
| Audio output buffers, including any aux output stems.
int32_t * | mNumSamples
| Number of samples in each buffer. Bounded as per AAE_EAudioBufferLengthNative. The exact value can vary from buffer to buffer.
AAX_CTimestamp * | mClock
| Pointer to the global running time clock.
AAX_IMIDINode * | mInputNode
| Buffered local MIDI input node. Used for incoming MIDI messages directed to the instrument.
AAX_IMIDINode * | mGlobalNode
| Buffered global MIDI input node. Used for global events like beat updates in metronomes.
AAX_IMIDINode * | mTransportNode
| Transport MIDI node. Used for querying the state of the MIDI transport.
AAX_IMIDINode * | mAdditionalInputMIDINodes [kMaxAdditionalMIDINodes]
| List of additional input MIDI nodes, if your plugin needs them.
AAX_SInstrumentPrivateData * | mPrivateData
| Struct containing private data relating to the instance. You should not need to use this data.
float ** | mMeters
| Array of meter taps. One meter value should be entered per tap for each render call.
int64_t * | mCurrentStateNum
| State counter.

## Member Data Documentation

## ◆ mAudioInputs

float** AAX_SInstrumentRenderInfo::mAudioInputs

Audio input buffers.

## ◆ mAudioOutputs

float** AAX_SInstrumentRenderInfo::mAudioOutputs

Audio output buffers, including any aux output stems.

## ◆ mNumSamples

int32_t* AAX_SInstrumentRenderInfo::mNumSamples

Number of samples in each buffer. Bounded as per AAE_EAudioBufferLengthNative. The exact value can vary from buffer to buffer.

## ◆ mClock

AAX_CTimestamp* AAX_SInstrumentRenderInfo::mClock

Pointer to the global running time clock.

## ◆ mInputNode

AAX_IMIDINode* AAX_SInstrumentRenderInfo::mInputNode

Buffered local MIDI input node. Used for incoming MIDI messages directed to the instrument.

## ◆ mGlobalNode

AAX_IMIDINode* AAX_SInstrumentRenderInfo::mGlobalNode

Buffered global MIDI input node. Used for global events like beat updates in metronomes.

## ◆ mTransportNode

AAX_IMIDINode* AAX_SInstrumentRenderInfo::mTransportNode

Transport MIDI node. Used for querying the state of the MIDI transport.

## ◆ mAdditionalInputMIDINodes

AAX_IMIDINode* AAX_SInstrumentRenderInfo::mAdditionalInputMIDINodes[kMaxAdditionalMIDINodes]

List of additional input MIDI nodes, if your plugin needs them.

## ◆ mPrivateData

AAX_SInstrumentPrivateData* AAX_SInstrumentRenderInfo::mPrivateData

Struct containing private data relating to the instance. You should not need to use this data.

## ◆ mMeters

float** AAX_SInstrumentRenderInfo::mMeters

Array of meter taps. One meter value should be entered per tap for each render call.

## ◆ mCurrentStateNum

int64_t* AAX_SInstrumentRenderInfo::mCurrentStateNum

State counter.

The documentation for this struct was generated from the following file:

- AAX_CMonolithicParameters.h